%define name 	kazehakase
%define version 0.5.6
%define release %mkrel 1

%define libname_orig	lib%{name}
%define major		0
%define libname		%mklibname %{name} %{major}

Summary:	A fast and light tabbed web browser using gecko
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
URL:		http://kazehakase.sourceforge.jp
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-16.png
Source2:	%{name}-32.png
Source3:	%{name}-48.png
Group:		Networking/WWW
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPLv2+
Requires:	%{libname} = %{version}
BuildRequires:	intltool
BuildRequires:	mozilla-firefox-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gtk+2-devel
BuildRequires:	automake
BuildRequires:	gnutls-devel


%description
Kazehakase is a fast and light tabbed browser using gecko.
"Kaze" means "wind", and "Hakase" means "Dr." in Japanese.


%package -n %{libname}
Summary:	Kazehakase library
Group:		System/Internationalization
Provides:	%{libname_orig} = %{version}-%{release}

%description -n %{libname}
Kazehakase library.


%prep
%setup -q

%build
# force to regenerate configure
cp /usr/share/automake-1.9/mkinstalldirs .
./autogen.sh
%configure2_5x \
	--enable-migemo
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang %{name}

# icons
mkdir -p $RPM_BUILD_ROOT{%_liconsdir,%_iconsdir,%_miconsdir}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png


# remove devel files
rm -f $RPM_BUILD_ROOT/%{_libdir}/kazehakase/*.{la,so}

# menu
sed -i -e 's,kazehakase-icon.png,%{name},g' $RPM_BUILD_ROOT%{_datadir}/applications/*
desktop-file-install --vendor="" \
  --remove-key="Encoding" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-WebBrowsers" \
  --add-category="GTK" \
  --add-category="WebBrowser" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%post
%{update_menus}
%{update_icon_cache hicolor}

%postun
%{clean_menus}
%{clean_icon_cache hicolor}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING.README
%doc README README.ja TODO.ja
%config(noreplace) %{_sysconfdir}/kazehakase/*
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/kazehakase/kz-no-thumbnail.png
%{_datadir}/kazehakase/search-result.*
%{_datadir}/kazehakase/icons/*
%{_datadir}/pixmaps/*
%dir %{_libdir}/kazehakase
%dir %{_libdir}/kazehakase/embed
%{_libdir}/kazehakase/embed/gecko.*
%dir %{_libdir}/kazehakase/search
%{_mandir}/man1/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/kazehakase/*.so.%{major}*

%changelog
* Sat Jan 17 2009 KDulcimer <kdulcimer@gmail.com> 0.5.6-1tinyme2008
- Build for TinyMe
- 0.5.6

* Fri Jun 07 2008 don_crissti <don_crissti@gmx.com> 0.5.4-1pclos2007
- build for PCLinuxOS

* Mon Jan 28 2008 Adam Williamson <awilliamson@mandriva.com> 0.5.2-1mdv2008.1
+ Revision: 159423
- drop explicit mozilla-firefox dependency (#36103)
- new release 0.5.2
